md = {
	active = false
}

if ScpuiSystem.data.ScpuiOptionValues.Verbose_Debugging == "On" then
	md.active = true
end

function md.print(message)
	if md.active == true then
		ba.print(message .. "\n")
	end
end

function md.warning(message)
	if md.active == true then
		ba.warning(message .. "\n")
	else
		ba.print(message .. "\n")
	end
end

function md.printAlways(message)
	ba.print(message .. "\n")
end

function md.warningAlways(message)
	ba.warning(message .. "\n")
end

return md
